integer function find_ptcl_ind(numproc,myid,ind)
!
!function to find ptcl. id# (ind),  if serial - no changes
!                                   if mpi - (ind+numproc-1-myid)/numproc.
!                                   see how ptcls were split in depall_mpi_split 
!myid - processor id #
!numproc - # of processors
!
!  mg    03/2009
  implicit none 
  integer, intent(in) :: numproc,myid,ind
  find_ptcl_ind=ind
  if(numproc>1) find_ptcl_ind=(ind+numproc-1-myid)/numproc
  return
end function find_ptcl_ind
                
